Summary: Multicore Application Runtime System
Name: mars
Version: 1.0.1
Release: 1
License: MIT plus and MIT
Group: System Environment/Libraries
URL: ftp://ftp.infradead.org/pub/Sony-PS3/mars/
Source0: ftp://ftp.infradead.org/pub/Sony-PS3/mars/%{version}/mars-src-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: libspe2
BuildRequires: ppu-gcc, spu-gcc, libspe2-devel, doxygen, inkscape

%define __os_install_post	/usr/lib/rpm/brp-compress

%description
MARS (Multicore Application Runtime System) is a set of libraries that
provides an API to easily manage and create user programs that will be
scheduled to run on various microprocessing units of a multicore
environment.

%package devel
Summary: Multicore Application Runtime System
Group: Development/Libraries
Requires: %{name} = %{version}, libspe2-devel

%description devel
Headers and static libraries for MARS (Multicore Application Runtime
System).

%package doc
Summary: Multicore Application Runtime System
Group: Documentation
Requires: %{name} = %{version}

%description doc
Documentation of MARS (Multicore Application Runtime System).

%package samples
Summary: Multicore Application Runtime System
Group: Development/Libraries
Requires: %{name} = %{version}

%description samples
Samples MARS (Multicore Application Runtime System).

%prep
%setup -q -n mars-src-%{version}

%build

%ifarch ppc
PPU_CFLAGS='-m32'
%endif
%ifarch ppc64
PPU_CFLAGS='-m64'
%endif

cd core
./configure \
	PPU_CC=ppu-gcc PPU_CFLAGS="$PPU_CFLAGS -g -O2" \
	--host=%{_host} \
	--build=%{_build} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-mars-platform=cell
make
cd ..

cd doxygen
make VERSION=%{version} INKSCAPE="inkscape --without-gui"
cd ..

cd samples
make VERSION=%{version} dist
cd ..

%install
rm -rf %{buildroot}

cd core
make install DESTDIR=%{buildroot}
cd ..

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
cp -a doxygen/mars-docs-%{version} %{buildroot}%{_docdir}/%{name}-%{version}/mars-doc
cp core/{README,COPYING} %{buildroot}%{_docdir}/%{name}-%{version}

mkdir -p %{buildroot}%{_datadir}/%{name}-%{version}
tar zxf samples/mars-samples-%{version}.tar.gz -C %{buildroot}%{_datadir}/%{name}-%{version}
mv %{buildroot}%{_datadir}/%{name}-%{version}/mars-samples-%{version} \
   %{buildroot}%{_datadir}/%{name}-%{version}/samples

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_prefix}/spu/*

%files doc
%defattr(-,root,root,-)
%{_docdir}/*

%files samples
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}/samples/*

%changelog
* Mon Oct 27 2008 Kazunori Asayama <asayama@sm.sony.co.jp> - 1.0.1-1
- Initial build.
