## rules.mk
#
#  Copyright 2008 Sony Corporation of America
#
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#

.SUFFIXES: .o .eo .spu .spu_o
.c.o:
	$(PPU_CC) $(PPU_CFLAGS) -c -o $@ $<
.c.spu_o:
	$(SPU_CC) $(SPU_CFLAGS) -c -o $@ $<
.spu_o.spu:
	$(SPU_CC) $(SPU_CFLAGS) -o $@ $< $(SPU_LDFLAGS)
.spu.eo:
	$(PPU_EMBEDSPU) $(PPU_CFLAGS) $*_prog $< $@

.PHONY: all check clean

all: $(sample)

$(sample): $(sample_objs)
	$(PPU_CC) $(PPU_CFLAGS) -o $@ $(sample_objs) $(PPU_LDFLAGS)

check: $(sample)
	./$(sample)

clean:
	-rm -f *.o *.spu_o *.spu *.eo $(sample)
